Package org.eclipse.ui.preferences

# Class SettingsTransfer

java.lang.Object
org.eclipse.ui.preferences.SettingsTransfer

Direct Known Subclasses:
  `org.eclipse.ui.internal.preferences.WorkbenchSettingsTransfer`

public abstract class SettingsTransfer extends Object
The SettingsTransfer is the abstract superclass of settings transfers used when switching workspaces.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`SettingsTransfer()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getName()`
Return the name for the receiver.
`static IConfigurationElement[]`
`getSettingsTransfers()`
Return the configuration elements for all of the settings transfers.
`abstract IStatus`
`transferSettings(IPath newWorkspaceRoot)`
Transfer the settings to a workspace rooted at newWorkspacwe

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SettingsTransfer

public SettingsTransfer()

## Method Details

### getSettingsTransfers

public static IConfigurationElement[] getSettingsTransfers()
Return the configuration elements for all of the settings transfers.

Returns:
  IConfigurationElement[]

### transferSettings

public abstract IStatus transferSettings(IPath newWorkspaceRoot)
Transfer the settings to a workspace rooted at newWorkspacwe

Parameters:
  `newWorkspaceRoot` - root of the new workspace
Returns:
  `IStatus` the status of the transfer.

### getName

public abstract String getName()
Return the name for the receiver.

Returns:
  receiver name